Bug 111471 - texconfig problem when setting default mode
texconfig problem when setting default mode
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: tetex (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-03 21:19 EST by Darren Brierton
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-11 08:47:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Brierton 2003-12-03 21:19:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20031119 Galeon/1.3.7

Description of problem:
Running Red Hat Linux 9, with Rawhide teTeX 2.0.2 packages:

$ rpm -qa | grep tetex | sort
tetex-2.0.2-9
tetex-afm-2.0.2-9
tetex-doc-2.0.2-9
tetex-dvips-2.0.2-9
tetex-fonts-2.0.2-9
tetex-latex-2.0.2-9
tetex-xdvi-2.0.2-9

Whenever I try to use texconfig to set:

MODE	default mode (xdvi/dvips/pdftex/mf)

to:

ljfive	HP LaserJet 5 (600dpi)

(or, indeed, ANY OTHER setting) seems to be generate some kind of
error. This is what is writtent to the log:

TeX-Config. Start on Thu Dec  4 01:23:53 GMT 2003
expr: syntax error
/usr/bin/texconfig: line 890: test: -lt: unary operator expected
expr: non-numeric argument
expr: non-numeric argument
expr: non-numeric argument
Running mf to create plain base ...
fmtutil: no info for format `mf'.
fmtutil: no info for format `mfw'.
Done.
                                                                     
          
This results in xdvi not working - for example:

$ texdoc -v ltnews14
xdvi /usr/share/texmf/doc/latex/base/ltnews14.dvi &
$ Usage: xdvi [+[<page>]] [-regression] [-s <shrink>] [-S <density>]
[-nogrey]
        [-gamma <g>] [-install] [-noinstall] [-rulecolor <color>] [-p
<pixels>]
        [-margins <dimen>] [-sidemargin <dimen>] [-topmargin <dimen>]
        [-offsets <dimen>] [-xoffset <dimen>] [-yoffset <dimen>]
        [-paper <papertype>] [-altfont <font>] [-nomakepk] [-mfmode
<mode-def>]
        [-editor <editor>] [-not1lib]
        [-sourceposition <linenumber[ ]*filename>] [-l] [-rv] [-expert]
        [-statusline] [-shrinkbutton[1-9] <shrink>] [-mgs[n] <size>]
        [-warnspecials] [-hush] [-hushchars] [-hushchecksums]
[-hushstdout]
        [-safer] [-bw <width>] [-fg <color>] [-bg <color>] [-hl <color>]
        [-bd <color>] [-cr <color>] [-display <host:display>]
        [-geometry <geometry>] [-icongeometry <geometry>] [-iconic]
        [-font <font>] [-keep] [-copy] [-thorough] [-wheelunit <pixels>]
        [-nopostscript] [-noscan] [-allowshell] [-noghostscript]
[-nogssafer]
        [-gsalpha] [-interpreter <path>]
        [-gspalette <monochrome|grayscale|color>] [-debug <bitmask>]
[-version]
        [-underlink] [-browser <WWWbrowser>] [-base <base URL>] [dvi_file]
 
$


Version-Release number of selected component (if applicable):
2.0.2-9

How reproducible:
Always

Steps to Reproduce:
1. As root, start texconfig.
2. Select "MODE     default mode (xdvi/dvips/pdftex/mf)".
3. Select any printer.
    

Actual Results:  texconfig shell script fails on line 890.

Expected Results:  tetex to have default printer set up.

Additional info:

The only non-vanilla thing about my setup is that I have my settings
in /usr/local/share/texmf-var, and /usr/share/texmf/web2c/texmf.cnf
has the following settings uncommented/edited:

VARTEXMF = /usr/local/share/texmf-var
TEXMF = {!!$HOMETEXMF,!!$TEXMFLOCAL,!!$VARTEXMF,!!$TEXMFMAIN}

I *have* made sure that these changes have been moved into the version
of texmf.cnf that came with tetex-2.0.2-9 - i.e. I am not still using
a tetex-1.x texmf.cnf.
Comment 1 Darren Brierton 2003-12-10 13:43:52 EST
Solved:

The problem appears to be that something has changed in the format of
some of the config files in the upgrade from tetex 1.x to tetex 2. I
resorted to rm -fR /usr/local/share/texmf-var/* and then ran texconfig
and re-entered all my settings. After that, everything worked fine.
Comment 2 Tim Waugh 2003-12-11 08:47:11 EST
So I don't think there are any package changes needed then.

Note You need to log in before you can comment on or make changes to this bug.